ccanlint: license_depends_compat checks dependencies are compatible.